Bug Hunting Session
Bug 48257 - remove explicit prototypes in basic/
Summary: remove explicit prototypes in basic/
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:3.7.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2012-04-03 09:42 UTC by Michael Meeks
Modified: 2015-12-15 23:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Proposed patch (5.47 KB, patch)
2012-10-03 15:45 UTC, leighman
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2012-04-03 09:42:26 UTC
The basic/ module contains a number of unpleasant explicit prototypes, eg.

git grep -5 implGetWeek

that should be grouped into an internal header in basic/source/inc (I expect) - if a suitable one doesn't exist, then we should add a new one :-)

Thanks !
Comment 1 Florian Reisinger 2012-05-18 09:29:54 UTC
Deleted "Easyhack" from summary.
Comment 2 leighman 2012-10-03 15:45:12 UTC
Created attachment 68047 [details]
Proposed patch

Is the attached what you are after?

Do I need to include a file in the header for sal_Int? It seems to compile as is.

Should the inline function implGetDayMonthYear be moved too?
Comment 3 Michael Meeks 2012-10-04 09:39:09 UTC
Yes - exactly what I'm looking for :-) nice work; pushed to master.

> Should the inline function implGetDayMonthYear be moved too?

if it's only used in the same module, that's not a big deal I think; it's the cross-module header avoidance hacks I wanted to cleanup.

Thanks muchly ! :-) are you interested in a juicier bigger hack by any chance ? :-) I have a number of un-filed fun pet hacks here if you want to drop me a mail ;-) or is there some area that particularly interests you ?
Comment 4 Not Assigned 2012-10-04 09:39:37 UTC
Jack Leigh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=af4df7ac089134df888ada3cd36b27a0b62babab

fdo#48257 collect function prototypes from basic/ into single header file



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Robinson Tryon (qubit) 2015-12-15 23:50:45 UTC
Migrating Whiteboard tags to Keywords: (EasyHack,DifficultyBeginner,SkillCpp,TopicCleanup)
[NinjaEdit]